org.codehaus.groovy.classgen.asm.sc

## Class StaticTypesClosureWriter

- java.lang.Object
- - org.codehaus.groovy.classgen.asm.ClosureWriter
  - - org.codehaus.groovy.classgen.asm.sc.StaticTypesClosureWriter

-     public class StaticTypesClosureWriter
      extends ClosureWriter

  Writer responsible for generating closure classes in statically compiled mode.
  Author:
    Cedric Champeau

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.codehaus.groovy.classgen.asm.ClosureWriter

      `ClosureWriter.UseExistingReference`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StaticTypesClosureWriter(WriterController wc)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected ClassNode` | `createClosureClass(ClosureExpression expression, int mods)`

    - ### Methods inherited from class org.codehaus.groovy.classgen.asm.ClosureWriter

      `addGeneratedClosureConstructorCall, getClosureSharedVariables, getOrAddClosureClass, loadReference, writeClosure`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StaticTypesClosureWriter

          public StaticTypesClosureWriter(WriterController wc)

  - ### Method Detail

    - #### createClosureClass

          protected ClassNode createClosureClass(ClosureExpression expression,
                                     int mods)

      Overrides:
        `createClosureClass` in class `ClosureWriter`